Bug 193356 - Build failure for emulators/mednafen without NLS
Summary: Build failure for emulators/mednafen without NLS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-06 02:45 UTC by Kevin Zheng
Modified: 2014-10-02 00:28 UTC (History)
1 user (show)

See Also:


Attachments
Fix build without NLS (1.09 KB, patch)
2014-10-01 16:03 UTC, Jason E. Hale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Zheng 2014-09-06 02:45:11 UTC
A build failure occurs for emulators/mednafen when the NLS option is not set. The solution may be as simple as to add proper configure flags, but I have not had the time to investigate. I'll file this PR now; I may have a patch in a few days if this hasn't been resolved by then.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2014-09-06 02:54:35 UTC
Over to maintainer.
Comment 2 Jason E. Hale freebsd_committer 2014-10-01 16:03:01 UTC
Created attachment 147889 [details]
Fix build without NLS

Could you see if the attached patch works for you?  I've tested build and run with and without NLS with clang on FreeBSD 10.
Comment 3 Kevin Zheng 2014-10-01 20:38:44 UTC
The patch fixes the build without NLS. Thank you very much!
Comment 4 commit-hook freebsd_committer 2014-10-02 00:28:03 UTC
A commit references this bug:

Author: jhale
Date: Thu Oct  2 00:27:03 UTC 2014
New revision: 369786
URL: https://svnweb.freebsd.org/changeset/ports/369786

Log:
  - Fix build with NLS option disabled
  - Drop @dirrm

  PR:		193356
  Submitted by:	Kevin Zheng <kevinz5000@gmail.com>
  Patched by:	myself
  Approved by:	acm (maintainer timeout, 3 weeks)

Changes:
  head/emulators/mednafen/files/patch-src__nes__unif.cpp
  head/emulators/mednafen/pkg-plist